Bug 494642 - install hangs at graphics: pci 1002:5962 ATI RV280 [Radeon 9200] Apple Macintosh PowerPC
install hangs at graphics: pci 1002:5962 ATI RV280 [Radeon 9200] Apple Macin...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 13:19 EDT by John Reiser
Modified: 2009-11-05 16:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 16:37:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/X.log at graphics hang (59.53 KB, text/plain)
2009-04-07 13:19 EDT, John Reiser
no flags Details
/tmp/anaconda.log at graphics hang (1.55 KB, text/plain)
2009-04-07 13:20 EDT, John Reiser
no flags Details
/tmp/syslog at graphics hang (24.50 KB, text/plain)
2009-04-07 13:20 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2009-04-07 13:19:19 EDT
Created attachment 338541 [details]
/tmp/X.log at graphics hang

Description of problem: Attempting default graphical install of Fedora-11-Beta-ppc-netinst of 2009-04-07 (Tuesday) hangs at transition to graphical mode.  The LCD display panel lights its "sleep mode" LED, indicating that it detects no video signal.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-1.6.0-6.11.0

How reproducible: always


Steps to Reproduce:
1. boot default graphical install of Fedora-11-Beta-ppc-netinst (2009-04-07) on Apple Macintosh mini PowerPC
2.
3.
  
Actual results: hang at transition to graphical mode


Expected results: succesful transition to graphical mode, graphical splash screen, and rest of install


Additional info: Alternate consoles do respond.  Logfiles will be attached.
Comment 1 John Reiser 2009-04-07 13:20:06 EDT
Created attachment 338542 [details]
/tmp/anaconda.log at graphics hang
Comment 2 John Reiser 2009-04-07 13:20:30 EDT
Created attachment 338543 [details]
/tmp/syslog at graphics hang
Comment 3 John Reiser 2009-04-07 13:22:55 EDT
lspci says
0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
0000:00:10.0 0300: 1002:5962 (rev 01)
0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01) (prog-if 00 [VGA controller])
        Subsystem: ATI Technologies Inc RV280 [Radeon 9200]
        Flags: bus master, 66MHz, medium devsel, latency 255, IRQ 48
        Memory at 98000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 0400 [size=256]
        Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at f1000000 [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2
        Kernel driver in use: radeonfb
Comment 4 John Reiser 2009-04-19 17:38:13 EDT
I see progress using today's boot.iso ppc (2009-04-19 Sunday) via CD-RW.  Anaconda transitions to graphics and install begins.  Rawhide report claims:
kernel-2.6.29.1-100.fc11
xorg-x11-drv-ati-6.12.2-4.fc11
xorg-x11-server-1.6.1-6.fc11

There is a small glitch when the map for timezone selection changes from world-view to continent-view.  A small rectangle becomes scrambled in the upper left corner of the active part of the display (800x600 centered in 1280x1024).  The small rectangle is about 1/2-inch wide by 3/2-inches tall (which would be 48 x 144 pixels at 96dpi), and covers much of the first two letters of graphical "fedora" in the title area.  Functionality seems to be unaffected.
Comment 5 Bug Zapper 2009-06-09 09:25:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:25:39 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 John Reiser 2009-11-05 16:37:57 EST
Has been fixed as of Fedora-12-ppc-Beta-DVD (2009-10-20) which contains
  anaconda-12.37
  kernel-2.6.31.1-56.fc12.ppc.rpm
  xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.ppc.rpm
  xorg-x11-server-Xorg-1.7.0-1.fc12.ppc.rpm

Note You need to log in before you can comment on or make changes to this bug.